
 library(knitr)
 library(rmarkdown)
 library(xtable)
 library(highlight)
library(stargazer)
library(texreg)
library(caret)


## ---- echo=TRUE, eval=FALSE----------------------------------------------
## library(forecast)
## plot(wineind)
## sm <- ma(wineind,order=12)
## lines(sm,col="red")

## ---- echo=TRUE, eval=FALSE----------------------------------------------
## fcast <- ses(airmiles)
## plot(fcast)

## ---- echo=TRUE, eval=FALSE----------------------------------------------
## fcast <- holt(airmiles)
## plot(fcast)

## ---- echo=FALSE---------------------------------------------------------
y <- ts(rnorm(120,0,3) + 1:120 + 20*sin(2*pi*(1:120)/12), frequency=12)

## ---- echo=TRUE, eval=FALSE----------------------------------------------
## fit <- tslm(y ~ trend + season)
## plot(forecast(fit, h=20))

## ---- echo=TRUE, eval=FALSE, tidy=FALSE----------------------------------
## deaths.fcast1 <- hw(USAccDeaths,
##                     seasonal="multiplicative",
##                     h=48)
## plot(deaths.fcast1)

## ---- echo=TRUE, eval=FALSE, tidy=FALSE----------------------------------
## deaths.fcast2 <- hw(USAccDeaths,
##                     seasonal="additive",
##                     h=48)
## plot(deaths.fcast2)

## ---- echo=TRUE, eval=FALSE----------------------------------------------
## library(forecast)
## fit1 <- ses(EuStockMarkets[1:200,1],h=100)
## accuracy(fit1)
## ##si conocemos lo sdatos reales
## accuracy(fit1,EuStockMarkets[201:300,1])

## ---- echo=FALSE, eval=TRUE----------------------------------------------
library(forecast)
fit1 <- ses(EuStockMarkets[1:200,1],h=100)
kable(xtable(accuracy(fit1)))
##si conocemos lo sdatos reales
kable(xtable(accuracy(fit1,EuStockMarkets[201:300,1])), caption="Incorporando la información real")

## ---- echo=TRUE, eval=FALSE----------------------------------------------
## fit2 <- holt(EuStockMarkets[1:200,1],h=100)
## kable(xtable(accuracy(fit2)))
## ##si conocemos los datos reales
## kable(xtable(accuracy(fit2,EuStockMarkets[201:300,1])), caption="Incorporando la información real")

## ---- echo=FALSE, eval=TRUE----------------------------------------------
fit2 <- holt(EuStockMarkets[1:200,1],h=100)
kable(xtable(accuracy(fit2)))
##si conocemos los datos reales
accuracy(fit2,EuStockMarkets[201:300,1])

## ---- echo=TRUE----------------------------------------------------------
plot(fit1)
lines(EuStockMarkets[1:300,1]) #datos reales

## ---- echo=TRUE----------------------------------------------------------
plot(fit2)
lines(EuStockMarkets[1:300,1]) #datos reales

